Bug 72422 - ypinit will not properly pull maps from master server when setting up a slave server
ypinit will not properly pull maps from master server when setting up a slave...
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ypserv (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-23 12:33 EDT by Mike Gahagan
Modified: 2015-01-07 18:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2002-08-23 12:33:55 EDT
Description of Problem:

ypinit fails to pull maps from master server when setting up a slave server

Version-Release number of selected component (if applicable):


How Reproducible:

pretty reliably on 2 systems, 1 running AS as a NIS master, other being set up
as a slave. 

Steps to Reproduce:
1. Set up a master
2. configure another system as a slave
3. attempt to run ypinit -s to get the maps from the master

Actual Results:

Failure to enumerate maps error message

Expected Results:

maps should be pulled from the master without incident.

Additional Information:
This appears to be the same bug I have seen in 7.1/7.2. The workaround which
still works on AS  is to modify /usr/lib/yp/ypinit as follows:

find the line:
maps=`$YPBINDIR/yphelper --maps $MASTER

comment it out (yphelper returns no output which makes the script fail) and
uncomment the line above it that runs ypwhich -m
Comment 1 Alexander Larsson 2002-08-26 12:34:01 EDT
Hmm. I fixed this for 7.3. Any chance you can try the 7.3 packages and see if
they work?
Comment 2 RHEL Product and Program Management 2007-10-19 15:26:08 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.